Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jms.inflow
Class JmsActivationSpec

    java.lang.Object
      org.jboss.resource.adapter.jms.inflow.JmsActivationSpec

All Implemented Interfaces:
  javax.resource.spi.ActivationSpec, javax.resource.spi.ResourceAdapterAssociation

public class JmsActivationSpec
extends Object
implements javax.resource.spi.ActivationSpec

A generic jms ActivationSpec.

Version:
  $Revision: 1.2.2.1 $
Author:
  Adrian Brock

Constructor Summary
`JmsActivationSpec()`

Method Summary
`String` | `getAcknowledgeMode()`
`int` | `getAcknowledgeModeInt()`
`String` | `getClientId()`
`String` | `getDeliveryActive()`
`String` | `getDestination()`
`String` | `getDestinationType()`
`String` | `getDLQClientID()`
`String` | `getDLQHandler()`
`String` | `getDLQJNDIName()`
`int` | `getDLQMaxResent()`
`String` | `getDLQPassword()`
`String` | `getDLQUser()`
`long` | `getKeepAlive()`
`long` | `getKeepAliveLong()`
`int` | `getMaxMessages()`
`int` | `getMaxMessagesInt()`
`int` | `getMaxSession()`
`int` | `getMaxSessionInt()`
`String` | `getMessageSelector()`
`int` | `getMinSession()`
`int` | `getMinSessionInt()`
`String` | `getPassword()`
`String` | `getProviderAdapterJNDI()`
`long` | `getReconnectInterval()`
`long` | `getReconnectIntervalLong()`
`javax.resource.spi.ResourceAdapter` | `getResourceAdapter()`
`boolean` | `getSessionTransacted()`
`String` | `getSubscriptionDurability()`
`String` | `getSubscriptionName()`
`boolean` | `getUseDLQ()`
`String` | `getUser()`
`boolean` | `isDeliveryActive()` Is delivery active?
`boolean` | `isDurable()`
`boolean` | `isSessionTransacted()`
`boolean` | `isTopic()`
`boolean` | `isUseDLQ()` Whether we should use a DLQ
`void` | `setAcknowledgeMode(String acknowledgeMode)`
`void` | `setClientId(String clientId)`
`void` | `setDeliveryActive(String deliveryActive)`
`void` | `setDestination(String destination)`
`void` | `setDestinationType(String destinationType)`
`void` | `setDLQClientID(String clientID)`
`void` | `setDLQHandler(String handler)`
`void` | `setDLQJNDIName(String name)`
`void` | `setDLQMaxResent(int maxResent)`
`void` | `setDLQPassword(String password)`
`void` | `setDLQUser(String user)`
`void` | `setKeepAlive(long keepAlive)`
`void` | `setMaxMessages(int maxMessages)`
`void` | `setMaxSession(int maxSession)`
`void` | `setMessageSelector(String messageSelector)`
`void` | `setMinSession(int minSession)`
`void` | `setPassword(String pass)`
`void` | `setProviderAdapterJNDI(String providerAdapterJNDI)`
`void` | `setReconnectInterval(long reconnectInterval)`
`void` | `setResourceAdapter(javax.resource.spi.ResourceAdapter ra)`
`void` | `setSessionTransacted(boolean sessionTransacted)`
`void` | `setSubscriptionDurability(String subscriptionDurability)`
`void` | `setSubscriptionName(String subscriptionName)`
`void` | `setUseDLQ(boolean useDLQ)`
`void` | `setUser(String user)`
`void` | `validate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmsActivationSpec

    public JmsActivationSpec()

Method Detail

### getAcknowledgeMode

    public String getAcknowledgeMode()

  Returns:
    the acknowledgeMode.

### setAcknowledgeMode

    public void setAcknowledgeMode(String acknowledgeMode)

  Parameters:
    `acknowledgeMode` - The acknowledgeMode to set.

### getAcknowledgeModeInt

    public int getAcknowledgeModeInt()

  Returns:
    the acknowledgement mode

### getClientId

    public String getClientId()

  Returns:
    the clientId.

### setClientId

    public void setClientId(String clientId)

  Parameters:
    `clientId` - The clientId to set.

### getDestination

    public String getDestination()

  Returns:
    the destination.

### setDestination

    public void setDestination(String destination)

  Parameters:
    `destination` - The destination to set.

### getDestinationType

    public String getDestinationType()

  Returns:
    the destinationType.

### setDestinationType

    public void setDestinationType(String destinationType)

  Parameters:
    `destinationType` - The destinationType to set.

### isTopic

    public boolean isTopic()

  Returns:
    whether this is for a topic.

### getMessageSelector

    public String getMessageSelector()

  Returns:
    the messageSelector.

### setMessageSelector

    public void setMessageSelector(String messageSelector)

  Parameters:
    `messageSelector` - The messageSelector to set.

### getSubscriptionDurability

    public String getSubscriptionDurability()

  Returns:
    the subscriptionDurability.

### setSubscriptionDurability

    public void setSubscriptionDurability(String subscriptionDurability)

  Parameters:
    `subscriptionDurability` - The subscriptionDurability to set.

### isDurable

    public boolean isDurable()

  Returns:
    wether the subscription is durable.

### getSubscriptionName

    public String getSubscriptionName()

  Returns:
    the subscriptionName.

### setSubscriptionName

    public void setSubscriptionName(String subscriptionName)

  Parameters:
    `subscriptionName` - The subscriptionName to set.

### getDeliveryActive

    public String getDeliveryActive()

  Returns:
    the deliveryActive.

### setDeliveryActive

    public void setDeliveryActive(String deliveryActive)

  Parameters:
    `deliveryActive` - The deliveryActive to set.

### isDeliveryActive

    public boolean isDeliveryActive()

  Is delivery active?

  Returns:
    true when delivery is active

### getReconnectInterval

    public long getReconnectInterval()

  Returns:
    the reconnectInterval.

### setReconnectInterval

    public void setReconnectInterval(long reconnectInterval)

  Parameters:
    `reconnectInterval` - The reconnectInterval to set.

### getReconnectIntervalLong

    public long getReconnectIntervalLong()

  Returns:
    the reconnect interval

### getProviderAdapterJNDI

    public String getProviderAdapterJNDI()

  Returns:
    the providerAdapterJNDI.

### setProviderAdapterJNDI

    public void setProviderAdapterJNDI(String providerAdapterJNDI)

  Parameters:
    `providerAdapterJNDI` - The providerAdapterJNDI to set.

### getUser

    public String getUser()

  Returns:
    the user.

### setUser

    public void setUser(String user)

  Parameters:
    `user` - The user to set.

### getPassword

    public String getPassword()

  Returns:
    the password.

### setPassword

    public void setPassword(String pass)

  Parameters:
    `pass` - The password to set.

### getMaxMessages

    public int getMaxMessages()

  Returns:
    the maxMessages.

### setMaxMessages

    public void setMaxMessages(int maxMessages)

  Parameters:
    `maxMessages` - The maxMessages to set.

### getMaxMessagesInt

    public int getMaxMessagesInt()

  Returns:
    the maximum number of messages

### getMinSession

    public int getMinSession()

  Returns:
    the minSession.

### setMinSession

    public void setMinSession(int minSession)

  Parameters:
    `minSession` - The minSession to set.

### getMinSessionInt

    public int getMinSessionInt()

  Returns:
    the minimum number of sessions

### getMaxSession

    public int getMaxSession()

  Returns:
    the maxSession.

### setMaxSession

    public void setMaxSession(int maxSession)

  Parameters:
    `maxSession` - The maxSession to set.

### getMaxSessionInt

    public int getMaxSessionInt()

  Returns:
    the maximum number of sessions

### getKeepAlive

    public long getKeepAlive()

  Returns:
    the keepAlive.

### setKeepAlive

    public void setKeepAlive(long keepAlive)

  Parameters:
    `keepAlive` - The keepAlive to set.

### getKeepAliveLong

    public long getKeepAliveLong()

  Returns:
    the keep alive time of the session

### getSessionTransacted

    public boolean getSessionTransacted()

  Returns:
    the sessionTransacted.

### setSessionTransacted

    public void setSessionTransacted(boolean sessionTransacted)

  Parameters:
    `sessionTransacted` - The sessionTransacted to set.

### isSessionTransacted

    public boolean isSessionTransacted()

  Returns:
    whether the session is transaction

### getDLQHandler

    public String getDLQHandler()

  Returns:
    Returns the dLQHandler.

### setDLQHandler

    public void setDLQHandler(String handler)

  Parameters:
    `handler` - The dLQHandler to set.

### getDLQJNDIName

    public String getDLQJNDIName()

  Returns:
    Returns the dLQJNDIName.

### setDLQJNDIName

    public void setDLQJNDIName(String name)

  Parameters:
    `name` - The dLQJNDIName to set.

### getUseDLQ

    public boolean getUseDLQ()

  Returns:
    Returns the useDLQ.

### setUseDLQ

    public void setUseDLQ(boolean useDLQ)

  Parameters:
    `useDLQ` - The useDLQ to set.

### isUseDLQ

    public boolean isUseDLQ()

  Whether we should use a DLQ

  Returns:
    true when using a DLQ

### getDLQClientID

    public String getDLQClientID()

  Returns:
    Returns the dLQClientID.

### setDLQClientID

    public void setDLQClientID(String clientID)

  Parameters:
    `clientID` - The dLQClientID to set.

### getDLQPassword

    public String getDLQPassword()

  Returns:
    Returns the dLQPassword.

### setDLQPassword

    public void setDLQPassword(String password)

  Parameters:
    `password` - The dLQPassword to set.

### getDLQUser

    public String getDLQUser()

  Returns:
    Returns the dLQUser.

### setDLQUser

    public void setDLQUser(String user)

  Parameters:
    `user` - The dLQUser to set.

### getDLQMaxResent

    public int getDLQMaxResent()

  Returns:
    Returns the maxResent.

### setDLQMaxResent

    public void setDLQMaxResent(int maxResent)

  Parameters:
    `maxResent` - The maxResent to set.

### getResourceAdapter

    public javax.resource.spi.ResourceAdapter getResourceAdapter()

  Specified by:
    `getResourceAdapter` in interface `javax.resource.spi.ResourceAdapterAssociation`

### setResourceAdapter

    public void setResourceAdapter(javax.resource.spi.ResourceAdapter ra)
                            throws javax.resource.ResourceException

  Specified by:
    `setResourceAdapter` in interface `javax.resource.spi.ResourceAdapterAssociation`
  Throws:
    `javax.resource.ResourceException`

### validate

    public void validate()
                  throws javax.resource.spi.InvalidPropertyException

  Specified by:
    `validate` in interface `javax.resource.spi.ActivationSpec`
  Throws:
    `javax.resource.spi.InvalidPropertyException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.